﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PivotExpandIssue
{

    namespace LBG.Pricing.LiveRiskModule.Model.DataItems
    {
        public class DataItem 
        {
            private double? _value;
            private double? _valueGbp;
            public string RiskUnderlyingName { get; set; }
            public string Business { get; set; }
            public string PodShort { get; set; }
            public string Ccy { get; set; }
            public string Book { get; set; }
            public string Category { get; set; }
            public string CategoryGroup { get; set; }
            public string CurveBucket { get; set; }
            public DateTime Maturity { get; set; }
            public string BucketName { get; set; }
            public string QlProduct { get; set; }
            public string TradeType { get; set; }
            public string Trader { get; set; }
            public string Product { get; set; }
            public string Factor { get; set; }
            public string ProductDescription { get; set; }

            public double? Value { get; set; }

            public double? ValueGbp { get; set; }
        }
    }

}
